Page tree
Skip to end of metadata
Go to start of metadata

Summary: information to help you plan your AIP Core installation.

Hardware

On-premise

Server typeArchitecture

CPU

RAM

DISK

OS

Notes
Physical/virtual64-bit

Minimum 1 CPU / 2 cores:

  • Intel Core i5, 2.6 GHz
  • Intel Xeon, 2.2 GHz

Recommended  1 CPU / 4 cores:

  • Intel Core i7, 2.8 GHz
  • Intel Xeon, 2.6 GHz

16GB min

256GB (SSD recommended)

Windows

The recommended disk space takes into account space for the following folders hosted on the AIP Node:

  • Delivery folder
  • Deploy folder
  • Log files,
  • Extensions folder
  • LISA / LTSA .

You can refer to CAST AIP for Dashboards - Deployment considerations or Deployment considerations for AIP for Imaging for more information about this.

Cloud services

The following requirements are based on CAST's own testing for the analysis of a single "large Application", using Amazon EC2 R5 Instances:

Component

Minimum instance typeVolume SizeVolume TypeMinimum IOPS

AIP Core + AIP Node (back end)

r5.large

128GBGeneral purpose SSD (gp2) or Provisioned IOPS SSD (io1)400

Software

Supported Operating Systems

Operating SystemSupportedSupported by referenceDeprecated supportNotes
Microsoft Windows Server 2019(tick)

  • Installations of Windows Server using only Server Core (i.e. without a GUI) are not supported.
  • Support is provided from AIP Core ≥ 8.3.13. For older 8.3.x releases, support is "by reference".
Microsoft Windows 10(tick)


Microsoft Windows Server 2016(tick)

Installations of Windows Server using only Server Core (i.e. without a GUI) are not supported.
Microsoft Windows 8.1(tick)


Microsoft Windows 7 SP1(tick)


Microsoft Windows Server 2012 R2 (Standard edition)
(tick)
Installations of Windows Server using only Server Core (i.e. without a GUI) are not supported.
Microsoft Windows Server 2012 (Standard edition)
(tick)
Microsoft Windows 8
(tick)

Microsoft Windows Server 2008 R2 SP1 (Standard edition)
(tick)

The Visual Basic analyzer is delivered as a 32-bit "application". Please read the section Visual Basic analyzer and 64-bit compatibility in Visual Basic - Required third-party software.

.NET Framework

The following features require the presence of a .NET Framework on the target server

FeatureSummary
User Input SecurityThis feature requires the .NET Framework ≥ 4.7.1This requirement is valid regardless of the technology (JEE or .NET) that is being targeted in the User Input Security feature.
.NET Analyzer extensionThis extension requires the .NET Framework. Please see the documentation for the specific extension release you are using for more details about the .NET Framework version that is required.

The AIP Core setup will install a specific version of the .NET Framework on the target server. See Install AIP Core for more information.

  • No labels